메인 콘텐츠로 건너뛰기
POST
/
v1
/
server
/
webhooks
웹훅 등록
curl --request POST \
  --url https://sdk-api.playcamp.io/v1/server/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "retryCount": 3,
  "timeoutMs": 5000
}
'
import requests

url = "https://sdk-api.playcamp.io/v1/server/webhooks"

payload = {
"url": "<string>",
"retryCount": 3,
"timeoutMs": 5000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', retryCount: 3, timeoutMs: 5000})
};

fetch('https://sdk-api.playcamp.io/v1/server/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "url": "<string>",
    "isActive": true,
    "retryCount": 123,
    "timeoutMs": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "secret": "<string>"
  }
}

인증

Authorization
string
header
필수

Server API Key (format: {keyId}:{secret})

본문

application/json
eventType
enum<string>
필수

웹훅 이벤트 타입:

  • coupon.redeemed: 쿠폰 사용
  • payment.created: 결제 생성
  • sponsor.created: 부스트 생성 (Sponsor)
사용 가능한 옵션:
coupon.redeemed,
payment.created,
payment.bulk_created,
sponsor.created,
sponsor.ended
url
string<uri>
필수

웹훅 수신 URL

retryCount
integer
기본값:3

실패 시 재시도 횟수

필수 범위: 0 <= x <= 10
timeoutMs
integer
기본값:5000

타임아웃 (밀리초)

필수 범위: 1000 <= x <= 30000

응답

201 - application/json

성공 (secret은 이 응답에서만 반환됨)

data
object
필수

웹훅 생성 응답 (secret 포함)